Last Comment Bug 821089 - Generate the Developer Hub "Quick Start" content
: Generate the Developer Hub "Quick Start" content
Status: RESOLVED FIXED
u=dev c=doc p=5 s=2013.2
:
Product: Marketplace
Classification: Server Software
Component: Developer Pages (show other bugs)
: 1.0
: All All
: -- normal (vote)
: ---
Assigned To: Jen Fong-Adwent [:ednapiranha]
:
Mentors:
Depends on:
Blocks: 821088 834582 835568
  Show dependency treegraph
 
Reported: 2012-12-12 16:11 PST by Daniel Buchner [:dbuc]
Modified: 2013-02-19 15:45 PST (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Daniel Buchner [:dbuc] 2012-12-12 16:11:00 PST

    
Comment 1 Daniel Buchner [:dbuc] 2012-12-12 17:24:19 PST
CCing Sir Kid Walsh for possible code/content help
Comment 2 David Walsh :davidwalsh 2012-12-12 18:14:35 PST
I'd love to help, but I'll need more information than simply this bug title ;)
Comment 3 Fred Wenzel [:wenzel] 2012-12-13 09:37:21 PST
Yeah considering there are several sections to this we might need to split up this bug.
Comment 4 Daniel Buchner [:dbuc] 2012-12-13 11:04:37 PST
(In reply to David Walsh :davidwalsh from comment #2)
> I'd love to help, but I'll need more information than simply this bug title
> ;)

I'll paste the details here, may want to do a quick 15 minute convo.
Comment 5 Daniel Buchner [:dbuc] 2012-12-13 14:18:57 PST
Here are the areas we want to cover, it will essentially be a hello World for the bones of an app. What we need is basically an empty layout with a header/footer and blank content section. We need to hit on the following areas:

Structure
 - Package vs Hosted
 - App Manifest

Layout & Design
 - simple, in-app responsive example (make empty horizontal layout blocks transition to vertical)

Web APIs
 - on/offline (change the color of an icon in the header as it toggles?)

WebRT APIs
 - choose a single WebRT API that works across platform/device and requires a permission entry in the manifest

Tools & Testing
 - point to simulator, suggest starting the Hello World app using the simulator
Comment 6 Wil Clouser [:clouserw] 2012-12-27 13:42:09 PST
I don't know who owns this or its priority.
Comment 7 Fred Wenzel [:wenzel] 2013-01-23 16:51:56 PST
dbuc to work with david walsh to get this off the ground. Target timeframe is by the end of deveco's 2013.2 milestone.
Comment 8 David Walsh :davidwalsh 2013-02-19 10:25:57 PST
Daniel, is this approved?
Comment 9 Daniel Buchner [:dbuc] 2013-02-19 14:04:57 PST
(In reply to David Walsh :davidwalsh from comment #8)
> Daniel, is this approved?

Yes, this looks good to me. I'm going to resolve fixed and refer the guide to Jen for implementation.
Comment 10 Jen Fong-Adwent [:ednapiranha] 2013-02-19 14:19:36 PST
implementing, so reopening

Note You need to log in before you can comment on or make changes to this bug.